Einige Plugins werden nicht geladen

Dieses Thema im Forum "Technischer Support" wurde erstellt von zwafi, 18. Juli 2014.

  1. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    Hallo,
    Ich habe auf meinem V-Server meine Home Bukkit Server hochgeladen, damit er 24/7 Online ist.
    Nun habe ich das Problem das auf dem V-Server nur einige Plugins laufen. Die Plugins die nicht laufen sind zwar in dem Plugin Ordner drin, aber werden nicht geladen... Auf meinem Home Server habe alle Plugins funktioniert!

    Meine Plugins:
    pLUGINS.jpg

    MFG
     
    #1
  2. Elrontur
    Offline

    Elrontur Ehem. Teammitglied

    Registriert seit:
    5. April 2013
    Beiträge:
    138
    Minecraft:
    Elrontur
    Hast du eig. die Power, ALL die Plugins zum Laufen zu bringen? o_o Ist der Server dann auch auf etwas spezialisiert damit?
    Aber schreib uns mal bitte den Serverlog beim Start nieder! Denn so können wir nichts erfahren. Nimm dir einen Editor, wie Notepad++ oder PSPad - für einen übersichtlichen Log - öffne den Log, kopier dann den Text hier in einen Code-Block (am besten mit Spoiler drumrum) rein:
    Code (Text):
    1. [noparse][spoiler][code]<Log>
    [/spoiler][/noparse][/code]
     
    #2
  3. h3inz3l
    Offline

    h3inz3l

    Registriert seit:
    12. April 2013
    Beiträge:
    131
    Ort:
    Hinter der nächsten Ecke
    Minecraft:
    h3inz3l
    Wenn du uns einen Log schickst vom letzten Serverstart, dann könnten wir dir mehr helfen, schau auf jeden Fall, dass du alle Plugins auf die neueste Version updatest.

    MFG h3inz3l
     
    #3
  4. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    #4
  5. h3inz3l
    Offline

    h3inz3l

    Registriert seit:
    12. April 2013
    Beiträge:
    131
    Ort:
    Hinter der nächsten Ecke
    Minecraft:
    h3inz3l
    [11:46:05] [Server thread/ERROR]: Ambiguous plugin name `Vault' for files `plugins/Vault.jar' and `plugins/Vault-1.4.1.jar' in `plugins'

    Du hast vault doppelt drin.
    Schmeiss die älteste Version raus und lass nur eine drin, das ist ganz wichtig, dass nie Plugins doppelt drin sind.
     
    #5
  6. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    Ich habe die alte Vault Version gelöscht und die neuste rein gezogen und den Server dann neugestartet.
    Aber die Plugins die vorher nicht gingen, gehen jetzt trozdem nicht...
     
    #6
  7. Thomas
    Offline

    Thomas

    Registriert seit:
    14. Juli 2011
    Beiträge:
    644
    Eventuell hast du noch Java 6 aufm Server. Sieht zumindest sehr danach aus.
     
    #7
  8. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    Das könnte sein, da ich auf meinem PC Java 7 habe, und dort hat ja alles funktioniert....
     
    #8
  9. Elrontur
    Offline

    Elrontur Ehem. Teammitglied

    Registriert seit:
    5. April 2013
    Beiträge:
    138
    Minecraft:
    Elrontur
    Ich kann zwar nicht beurteilen, ob es nur an Java 6 liegt, aber hier mal ein paar Infos auseinandergenommen:
    (Trotzdem mal ganz normal testen mit Java 7 und schauen, ob all dies wegfällt. ABER Nummer (3), (4), (5) musst du selbst fixen, wie ich dir beschrieben habe! Die Nummer (6) und (7) evtl.)

    Tipps bezüglich ein paar Fehler. Nummer (2) und (7) bräuchten etwas detailiertere Erklärungen, da ich keine Lösung weiß...
    (1) Alle Plugins laufen irgendwie mit Version "51.0", was es nicht gibt... Check am besten mal die BukkitDev-Pages ab für neue Versionen. ^^
    Code (Text):
    1. [11:46:05] [Server thread/ERROR]: Could not load 'plugins/CustomServerMessages.jar' in folder 'plugins'
    2. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: Bammerbom/CustomServerMessages/Main : Unsupported major.minor version 51.0
    3.  
    4. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/PetitionPlugin.jar' in folder 'plugins'
    5. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/floyd/bukkit/petition/PetitionPlugin : Unsupported major.minor version 51.0
    6.  
    7. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/SimpleSpongeJump.jar' in folder 'plugins'
    8. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/mrgreen33gamer/simplespongejump/Main : Unsupported major.minor version 51.0
    9.  
    10. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/LampControl.jar' in folder 'plugins'
    11. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/jacklinkproductions/LampControl/Main : Unsupported major.minor version 51.0
    12.  
    13. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/OITC.jar' in folder 'plugins'
    14. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/artish1/OITC/OITC : Unsupported major.minor version 51.0
    15.  
    16. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/HiveJumpPads_v1.9.1.jar' in folder 'plugins'
    17. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: eu/Xenedor/HiveJumpPads/HiveJumpPads : Unsupported major.minor version 51.0
    18.  
    19. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/ZavAutoMessager.jar' in folder 'plugins'
    20. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/zavteam/plugins/ZavAutoMessager : Unsupported major.minor version 51.0
    21.  
    22. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/BlockHunt_v0.2.0_BETA_B5.jar' in folder 'plugins'
    23. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: nl/Steffion/BlockHunt/BlockHunt : Unsupported major.minor version 51.0
    24.  
    25. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/MCBans.jar' in folder 'plugins'
    26. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/mcbans/firestar/mcbans/MCBans : Unsupported major.minor version 51.0
    27.  
    28. [11:46:07] [Server thread/ERROR]: Could not load 'plugins/SurvivalGames.jar' in folder 'plugins'
    29. org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/maker56/survivalgames/SurvivalGames : Unsupported major.minor version 51.0

    (2) Irgendwelche Chunk Error für "level 13"...
    Code (Text):
    1. [11:46:21] [Server thread/INFO]: Preparing start region for level 13 (Seed: -27025383291873244)
    2. [11:46:21] [Server thread/INFO]: Attempted to place a tile entity (net.minecraft.server.v1_7_R2.TileEntityComparator@427b4b51) at -641,86,-671 (AIR) where there was no entity tile!
    3. [11:46:21] [Server thread/INFO]: Chunk coordinates: -656,-672
    4. [11:46:21] [Server thread/WARN]: java.lang.Exception
    5. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.Chunk.a(Chunk.java:690)
    6. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.Chunk.a(Chunk.java:665)
    7. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ChunkRegionLoader.loadEntities(ChunkRegionLoader.java:388)
    8. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:37)
    9. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:13)
    10. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.util.AsynchronousExecutor.skipQueue(AsynchronousExecutor.java:337)
    11. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.util.AsynchronousExecutor.getSkipQueue(AsynchronousExecutor.java:295)
    12. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.chunkio.ChunkIOExecutor.syncChunkLoad(ChunkIOExecutor.java:16)
    13. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ChunkProviderServer.getChunkAt(ChunkProviderServer.java:115)
    14. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ChunkProviderServer.getChunkAt(ChunkProviderServer.java:97)
    15. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.createWorld(CraftServer.java:951)
    16. [11:46:21] [Server thread/WARN]:        at org.bukkit.Bukkit.createWorld(Bukkit.java:237)
    17. [11:46:21] [Server thread/WARN]:        at org.bukkit.WorldCreator.createWorld(WorldCreator.java:239)
    18. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.utils.WorldManager.addWorld(WorldManager.java:137)
    19. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.utils.WorldManager.addWorld(WorldManager.java:91)
    20. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.utils.WorldManager.loadWorlds(WorldManager.java:557)
    21. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.MultiverseCore.onEnable(MultiverseCore.java:242)
    22. [11:46:21] [Server thread/WARN]:        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:250)
    23. [11:46:21] [Server thread/WARN]:        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324)
    24. [11:46:21] [Server thread/WARN]:        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404)
    25. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.loadPlugin(CraftServer.java:441)
    26. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.enablePlugins(CraftServer.java:375)
    27. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.n(MinecraftServer.java:344)
    28. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.g(MinecraftServer.java:319)
    29. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.a(MinecraftServer.java:275)
    30. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.DedicatedServer.init(DedicatedServer.java:175)
    31. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.run(MinecraftServer.java:426)
    32. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ThreadServerApplication.run(SourceFile:618)
    33. [11:46:21] [Server thread/INFO]: Attempted to place a tile entity (net.minecraft.server.v1_7_R2.TileEntityComparator@775f78a7) at -641,86,-669 (AIR) where there was no entity tile!
    34. [11:46:21] [Server thread/INFO]: Chunk coordinates: -656,-672
    35. [11:46:21] [Server thread/WARN]: java.lang.Exception
    36. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.Chunk.a(Chunk.java:690)
    37. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.Chunk.a(Chunk.java:665)
    38. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ChunkRegionLoader.loadEntities(ChunkRegionLoader.java:388)
    39. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:37)
    40. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:13)
    41. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.util.AsynchronousExecutor.skipQueue(AsynchronousExecutor.java:337)
    42. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.util.AsynchronousExecutor.getSkipQueue(AsynchronousExecutor.java:295)
    43. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.chunkio.ChunkIOExecutor.syncChunkLoad(ChunkIOExecutor.java:16)
    44. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ChunkProviderServer.getChunkAt(ChunkProviderServer.java:115)
    45. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ChunkProviderServer.getChunkAt(ChunkProviderServer.java:97)
    46. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.createWorld(CraftServer.java:951)
    47. [11:46:21] [Server thread/WARN]:        at org.bukkit.Bukkit.createWorld(Bukkit.java:237)
    48. [11:46:21] [Server thread/WARN]:        at org.bukkit.WorldCreator.createWorld(WorldCreator.java:239)
    49. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.utils.WorldManager.addWorld(WorldManager.java:137)
    50. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.utils.WorldManager.addWorld(WorldManager.java:91)
    51. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.utils.WorldManager.loadWorlds(WorldManager.java:557)
    52. [11:46:21] [Server thread/WARN]:        at com.onarandombox.MultiverseCore.MultiverseCore.onEnable(MultiverseCore.java:242)
    53. [11:46:21] [Server thread/WARN]:        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:250)
    54. [11:46:21] [Server thread/WARN]:        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324)
    55. [11:46:21] [Server thread/WARN]:        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404)
    56. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.loadPlugin(CraftServer.java:441)
    57. [11:46:21] [Server thread/WARN]:        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.enablePlugins(CraftServer.java:375)
    58. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.n(MinecraftServer.java:344)
    59. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.g(MinecraftServer.java:319)
    60. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.a(MinecraftServer.java:275)
    61. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.DedicatedServer.init(DedicatedServer.java:175)
    62. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.MinecraftServer.run(MinecraftServer.java:426)
    63. [11:46:21] [Server thread/WARN]:        at net.minecraft.server.v1_7_R2.ThreadServerApplication.run(SourceFile:618)

    (3) Check mal languages.yml von MyCommand ab! Du hast Zeichen verwendet (wie ä ö ü), die das Plugin bzw. Bukkit nicht verarbeiten kann.
    Code (Text):
    1. [11:47:11] [Server thread/ERROR]: Cannot load plugins/MyCommand/language.yml
    2. org.bukkit.configuration.InvalidConfigurationException: unacceptable character '?' (0xFFFD) special characters are not allowed in "<string>", position 533

    (4) In der AntiXRay-Config sind noch die Welten "world", "world_nether" und "world_the_end" angegeben. Die solltest du, wenn wirklich nicht gebraucht, entfernen.
    Code (Text):
    1. [11:47:22] [Server thread/INFO]: [AntiXRay] Enabling AntiXRay v1.7.2
    2. [11:47:22] [Server thread/WARN]: [AntiXRay] Configuration: There's no world named "world".  Make sure that the worldnames in your config.yml are correct!
    3. [11:47:22] [Server thread/WARN]: [AntiXRay] Configuration: There's no world named "world_nether".  Make sure that the worldnames in your config.yml are correct!
    4. [11:47:22] [Server thread/WARN]: [AntiXRay] Configuration: There's no world named "world_the_end".  Make sure that the worldnames in your config.yml are correct!

    (5) Bitte Essentials-Komplettpaket neu downloaden und hochladen oder die Dateien für die von dir verwendete Version laden! Du kannst nicht nur die Essentials.jar bei einem Update aktualisieren, denn sonst arbeiten die Zusatzplugins nicht mehr mit.
    Code (Text):
    1. [11:47:25] [Server thread/INFO]: [Essentials] Enabling Essentials v2.12.1
    2. [11:47:25] [Server thread/WARN]: ?4Version mismatch! Please update EssentialsProtect to the same version.
    3. [11:47:25] [Server thread/WARN]: ?4Version mismatch! Please update EssentialsSpawn to the same version.
    4. [11:47:25] [Server thread/WARN]: ?4Version mismatch! Please update EssentialsAntiBuild to the same version.

    (6) Die Multiverse-Portale "nether" und "nether2" haben falsche Ortsangaben... Vorschläge von Multiverse-Portals: Entweder existiert die dazugehörige Map nicht mehr oder ist nicht in Multiverse importiert.
    Code (Text):
    1. [11:47:35] [Server thread/INFO]: [Multiverse-Portals] Enabling Multiverse-Portals v2.4-b548
    2. [11:47:35] [Server thread/INFO]: [Multiverse-Portals] - Version 2.4-b548 Enabled - By Rigby and fernferret
    3. [11:47:46] [Server thread/WARN]: [Multiverse-Portals]  Failed Parsing World for: nether (World Error, World did not exist or was not imported into Multiverse-Core!)
    4. [11:47:46] [Server thread/WARN]: [Multiverse-Portals]  Portal nether has an invalid LOCATION!
    5. [11:47:46] [Server thread/WARN]: [Multiverse-Portals]  Portal 'nether' not loaded due to invalid location!
    6. [11:47:48] [Server thread/WARN]: [Multiverse-Portals]  Failed Parsing World for: nether2 (World Error, World did not exist or was not imported into Multiverse-Core!)
    7. [11:47:48] [Server thread/WARN]: [Multiverse-Portals]  Portal nether2 has an invalid LOCATION!
    8. [11:47:48] [Server thread/WARN]: [Multiverse-Portals]  Portal 'nether2' not loaded due to invalid location!
    9. [11:47:48] [Server thread/INFO]: [Multiverse-Portals]  2 - Portals(s) loaded

    (7) Einige Teilbilder von "Tomorrow_Build" bei Dynmap konnten nicht geladen werden. Ein "/dynmap updaterender Tomorrow_Build" könnte da evtl. schon helfen, denke ich. ^^
    Code (Text):
    1. [11:53:01] [Dynmap Render Thread/INFO]: [dynmap] Loading default resource pack
    2. [11:53:05] [Dynmap Render Thread/INFO]: [dynmap] Image file plugins/dynmap/web/tiles/Tomorrow_Build/t/-1_-1/-6_-6.png - unable to read - failed
    3. [11:53:05] [Dynmap Render Thread/WARN]: [dynmap] Aborted zoom tile update plugins/dynmap/web/tiles/Tomorrow_Build/t/-1_-1/z_-6_-6.png
    4.  
    5. [11:53:09] [Dynmap Render Thread/INFO]: [dynmap] Image file plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_0/3_2.png - unable to read - failed
    6. [11:53:09] [Dynmap Render Thread/WARN]: [dynmap] Aborted zoom tile update plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_0/z_2_2.png
    7. [11:53:18] [Dynmap Render Thread/INFO]: [dynmap] Image file plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_0/z_8_0.png - unable to read - failed
    8. [11:53:18] [Dynmap Render Thread/WARN]: [dynmap] Aborted zoom tile update plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_0/zz_8_0.png
    9. [11:53:21] [Dynmap Render Thread/INFO]: [dynmap] Image file plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_-2/z_4_-50.png - unable to read - failed
    10. [11:53:21] [Dynmap Render Thread/WARN]: [dynmap] Aborted zoom tile update plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_-2/zz_4_-48.png
    11. [11:53:25] [Dynmap Render Thread/INFO]: [dynmap] Image file plugins/dynmap/web/tiles/Tomorrow_Build/ct/-1_-2/z_-32_-40.png - unable to read - failed
    12. [11:53:25] [Dynmap Render Thread/WARN]: [dynmap] Aborted zoom tile update plugins/dynmap/web/tiles/Tomorrow_Build/ct/-1_-2/zz_-32_-40.png
    13. [11:53:29] [Dynmap Render Thread/INFO]: [dynmap] Image file plugins/dynmap/web/tiles/Tomorrow_Build/ct/0_-1/z_6_-8.png - unable to read - failed
    14. [11:53:29] [Dynmap Render Thread/WARN]: [dynmap] Aborted zoom tile update plugins/dynmap/web/tiles/Tomorrow_Build/ct/0_-1/zz_4_-8.png
    15. [11:53:36] [Dynmap Render Thread/INFO]: [dynmap] Image file plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_0/zz_4_4.png - unable to read - failed
    16. [11:53:36] [Dynmap Render Thread/WARN]: [dynmap] Aborted zoom tile update plugins/dynmap/web/tiles/Tomorrow_Build/flat/0_0/zzz_0_8.png
     
    #9
  10. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    Mit BlockHunt hat es jetzt geklappt :D Jetzt muss ich nur noch schauen das die anderen auch gehen..
     
    #10
  11. GermanUbuntu
    Online

    GermanUbuntu

    Hast du ein Unix System? Wenn ja musst du auf passen das der "Server-Starter" auch alle rechte für denn Ordner hat ;)

    Code (Text):
    1. Image file plugins/dynmap/web/tiles/Tomorrow_Build/ct/0_-1/z_6_-8.png - unable to read - failed
    Es könnte(wie von anderen Usern gesagt) auch daran liegen das du Java 6 hast...

    Wäre nett wen du uns wichtige Daten über dein Host-System geben könntest z.B:
    - RAM(Wie viel davon darf MC benutzen?)(14 Welten sind etwas viel :O)
    - CPU
    - OS
    Code (Text):
    1.  
    2. 11:47:11] [Server thread/INFO]: [MyCommand] Enabling MyCommand v5.1.1
    3. [11:47:11] [Server thread/INFO]: =-=-=-=-=-=-=-=-=-=-=-MyCommand-=-=-=-=-=-=-=-=-=-=-=-=
    4. [11:47:11] [Server thread/INFO]: = Vault  : Ok. Hooked MyCommand Vault 1.2.31-b411
    5. [11:47:11] [Server thread/INFO]: = Spout  : Not detectedBarAPI : Not detected
    6. [11:47:11] [Server thread/ERROR]: Cannot load plugins/MyCommand/language.yml
    7. org.bukkit.configuration.InvalidConfigurationException: unacceptable character '?' (0xFFFD) special characters are not allowed
    8. in "<string>", position 533
    9.         at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:55) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    10.         at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:149) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    11.         at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:114) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    12.         at org.bukkit.configuration.file.YamlConfiguration.loadConfiguration(YamlConfiguration.java:176) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    13.         at it.mri.mycommand.InitializeConfigFiles.checkConfig(InitializeConfigFiles.java:109) [MyCommand.jar:?]
    14.         at it.mri.mycommand.Main.onEnable(Main.java:172) [MyCommand.jar:?]
    15.         at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:250) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    16.         at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    17.         at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    18.         at org.bukkit.craftbukkit.v1_7_R2.CraftServer.loadPlugin(CraftServer.java:441) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    19.         at org.bukkit.craftbukkit.v1_7_R2.CraftServer.enablePlugins(CraftServer.java:375) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    20.         at net.minecraft.server.v1_7_R2.MinecraftServer.n(MinecraftServer.java:344) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    21.         at net.minecraft.server.v1_7_R2.MinecraftServer.g(MinecraftServer.java:319) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    22.         at net.minecraft.server.v1_7_R2.MinecraftServer.a(MinecraftServer.java:275) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    23.         at net.minecraft.server.v1_7_R2.DedicatedServer.init(DedicatedServer.java:175) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    24.         at net.minecraft.server.v1_7_R2.MinecraftServer.run(MinecraftServer.java:426) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    25.         at net.minecraft.server.v1_7_R2.ThreadServerApplication.run(SourceFile:618) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    26. Caused by: org.yaml.snakeyaml.reader.ReaderException: special characters are not allowed
    27.         at org.yaml.snakeyaml.reader.StreamReader.checkPrintable(StreamReader.java:70) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    28.         at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:50) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    29.         at org.yaml.snakeyaml.Yaml.load(Yaml.java:399) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    30.         at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:53) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    31.         ... 16 more
    32. [11:47:11] [Server thread/INFO]: = An error occurred on language.yml file
    33. [11:47:11] [Server thread/INFO]: = Config : Ok
    34. [11:47:11] [Server thread/INFO]: = Custom commands loaded : 16
    35. [11:47:11] [Server thread/INFO]: = Version: 5.1.1
    36. [11:47:11] [Server thread/INFO]: = Author : MRI a.k.a Ivanpro
    37. [11:47:11] [Server thread/INFO]: = Status : Active
    38. [11:47:11] [Server thread/INFO]: =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    39.  
    Code (Text):
    1.  
    2. [11:47:52] [Server thread/ERROR]: Error occurred while enabling FalseBook-IC v0.96alpha (Is it up to date?)
    3. java.lang.NoClassDefFoundError: net/minecraft/server/v1_4_6/World
    4.         at de.minestar.fb.ics.selftriggered.MC0264.<init>(MC0264.java:41) ~[?:?]
    5.         at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.6.0_31]
    6.         at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57) ~[?:1.6.0_31]
    7.         at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.6.0_31]
    8.         at java.lang.reflect.Constructor.newInstance(Constructor.java:534) ~[?:1.6.0_31]
    9.         at java.lang.Class.newInstance(Class.java:374) ~[?:1.6.0_31]
    10.         at de.minestar.fb.ic.handler.ICFactory.importSelfmadeICs(ICFactory.java:326) ~[?:?]
    11.         at de.minestar.fb.ic.handler.ICFactory.<init>(ICFactory.java:55) ~[?:?]
    12.         at de.minestar.fb.ic.core.FBICCore.createManager(FBICCore.java:38) ~[?:?]
    13.         at de.minestar.library.PluginCore.onEnable(PluginCore.java:52) ~[?:?]
    14.         at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:250) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    15.         at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    16.         at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    17.         at org.bukkit.craftbukkit.v1_7_R2.CraftServer.loadPlugin(CraftServer.java:441) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    18.         at org.bukkit.craftbukkit.v1_7_R2.CraftServer.enablePlugins(CraftServer.java:375) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    19.         at net.minecraft.server.v1_7_R2.MinecraftServer.n(MinecraftServer.java:344) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    20.         at net.minecraft.server.v1_7_R2.MinecraftServer.g(MinecraftServer.java:319) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    21.         at net.minecraft.server.v1_7_R2.MinecraftServer.a(MinecraftServer.java:275) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    22.         at net.minecraft.server.v1_7_R2.DedicatedServer.init(DedicatedServer.java:175) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    23.         at net.minecraft.server.v1_7_R2.MinecraftServer.run(MinecraftServer.java:426) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    24.         at net.minecraft.server.v1_7_R2.ThreadServerApplication.run(SourceFile:618) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    25. Caused by: java.lang.ClassNotFoundException: net.minecraft.server.v1_4_6.World
    26.         at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:67) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    27.         at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    28.         at java.lang.ClassLoader.loadClass(ClassLoader.java:323) ~[?:1.6.0_31]
    29.         at java.lang.ClassLoader.loadClass(ClassLoader.java:268) ~[?:1.6.0_31]
    30.         ... 21 more
    31. [11:47:52] [Server thread/INFO]: [EssentialsAntiBuild] Enabling EssentialsAntiBuild v2.13.1
    32. [11:47:52] [Server thread/WARN]: ?4Versionen ungleich! Bitte aktualisiere alle Essentials jars auf die gleiche Version.
    33. [11:47:52] [Server thread/INFO]: [EchoPet] Enabling EchoPet v2.3.3-b408
    34. [11:47:53] [Server thread/INFO]: [EchoPet] [WorldGuard] Successfully hooked
    35. [11:50:27] [Server thread/INFO]: [ChestShop] Enabling ChestShop v3.7.9
    36. [11:50:27] [Server thread/ERROR]: Cannot load plugins/ChestShop/local.yml
    37. org.bukkit.configuration.InvalidConfigurationException: unacceptable character '?' (0xFFFD) special characters are not allowed
    38. in "<string>", position 603
    39.         at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:55) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    40.         at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:149) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    41.         at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:114) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    42.         at org.bukkit.configuration.file.YamlConfiguration.loadConfiguration(YamlConfiguration.java:176) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    43.         at com.Acrobot.Breeze.Configuration.Configuration.pairFileAndClass(Configuration.java:26) [ChestShop.jar:?]
    44.         at com.Acrobot.ChestShop.ChestShop.onEnable(ChestShop.java:84) [ChestShop.jar:?]
    45.         at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:250) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    46.         at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    47.         at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    48.         at org.bukkit.craftbukkit.v1_7_R2.CraftServer.loadPlugin(CraftServer.java:441) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    49.         at org.bukkit.craftbukkit.v1_7_R2.CraftServer.enablePlugins(CraftServer.java:375) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    50.         at net.minecraft.server.v1_7_R2.MinecraftServer.n(MinecraftServer.java:344) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    51.         at net.minecraft.server.v1_7_R2.MinecraftServer.g(MinecraftServer.java:319) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    52.         at net.minecraft.server.v1_7_R2.MinecraftServer.a(MinecraftServer.java:275) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    53.         at net.minecraft.server.v1_7_R2.DedicatedServer.init(DedicatedServer.java:175) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    54.         at net.minecraft.server.v1_7_R2.MinecraftServer.run(MinecraftServer.java:426) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    55.         at net.minecraft.server.v1_7_R2.ThreadServerApplication.run(SourceFile:618) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    56. Caused by: org.yaml.snakeyaml.reader.ReaderException: special characters are not allowed
    57.         at org.yaml.snakeyaml.reader.StreamReader.checkPrintable(StreamReader.java:70) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    58.         at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:50) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    59.         at org.yaml.snakeyaml.Yaml.load(Yaml.java:399) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    60.         at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:53) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-14-g8f8716c-b3042jnks]
    61.         ... 16 more
    62.  
    A: Falsch eingestellt B: Der Server hat nicht genug rechte um auf die Datei zu zu greifen
     
    #11
  12. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    Von den 14 Welten wurde 8 gelöscht (Die 8 Welten waren nur Test Welten und so....).

    Soll ich den Server mal von Java 6 auf Java 7 updaten?

    Die Leistung vom V-Server:
    RAM: 8GB
    CPU: 6 CPU vCores
    OS: Linux Debian
    (Der V-Server wurde geteilt, also hat mein Server dann 4GB Ram...)
     
    #12
  13. games6471
    Online

    games6471

    Ja auf jeden Fall. Inzwischen gibt es sogar schon Java 8. Scheinbar verwenden einige deiner Plugins auch schon Java 7. Dies kannst du anhand der Fehlermeldung "UnsupportedClassVersionError" erkennen (50 für Java 6; 51 für Java 7, usw.). Zwar kann Java älteren Code lesen, das geht aber nicht umgekehrt.
     
    #13
  14. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    Ok, mach eich dann mal :)
     
    #14
  15. zwafi
    Offline

    zwafi

    Registriert seit:
    14. Juni 2014
    Beiträge:
    58
    Yeah :D , Durch das Java update gehen wieder alles Plugins!
    Danke für die gnaze Hilfe :)
     
    #15